<template>
  <div :class="styles.card">
    <template v-if="title || $slotExists('header')">
      <div :class="styles.header">
        <slot name="header">
          {{ title }}
        </slot>
      </div>
    </template>
    <div :class="styles.content">
      <slot />
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

const styles = require('./card.module.scss');

@Component({
  name: 'Card',
  data: () => ({ styles }),
})
export default class Card extends Vue {
    @Prop()
    title?: string;
}
</script>
